Home
last modified time | relevance | path

Searched +full:error +full:- +full:counter (Results 1 – 25 of 1006) sorted by relevance

12345678910>>...41

/linux/tools/testing/selftests/net/netfilter/
H A Dconntrack_icmp_related.sh3 # check that ICMP df-needed/pkttoobig icmp are set are set as related
8 # nsclient1 -> nsrouter1 -> nsrouter2 -> nsclient2
9 # MTU 1500, except for nsrouter2 <-> nsclient2 link (1280).
15 # nat of "established" icmp-echo "connection".
19 if ! nft --version > /dev/null 2>&1;then
40 ip -net "$ns" link set "$dev" up
41 ip -net "$ns" addr add "192.168.$i.2/24" dev "$dev"
42 ip -net "$ns" addr add "dead:$i::2/64" dev "$dev" nodad
52 if ! ip netns exec "$ns" nft list counter inet filter "$name" | grep -q "$expect"; then
53 echo "ERROR: counter $name in $ns has unexpected value (expected $expect)" 1>&2
[all …]
H A Dnft_nat.sh11 checktool "nft --version" "run test without nft tool"
12 checktool "socat -h" "run test without socat"
20 rm -f "$INFILE" "$OUTFILE"
38 ip -net "$ns0" link set veth0 up
39 ip -net "$ns0" addr add 10.0.1.1/24 dev veth0
40 ip -net "$ns0" addr add dead:1::1/64 dev veth0 nodad
42 ip -net "$ns0" link set veth1 up
43 ip -net "$ns0" addr add 10.0.2.1/24 dev veth1
44 ip -ne
[all...]
H A Dconntrack_tcp_unreplied.sh2 # SPDX-License-Identifier: GPL-2.0
9 if ! nft --version > /dev/null 2>&1;then
14 if ! conntrack --version > /dev/null 2>&1;then
29 echo -n 192.168."$1".2
39 if ! ip netns exec "$ns2" nft list counter inet filter "$name" | grep -q "$expect"; then
40 echo "ERROR: counter $name in $ns2 has unexpected value (expected $expect)" 1>&2
41 ip netns exec "$ns2" nft list counter inet filter "$name" 1>&2
54 ip -net "$ns1" link add name veth1 type veth peer name veth2
55 ip -net "$ns1" link set netns "$ns2" dev veth2
57 ip -net "$ns1" link set up dev lo
[all …]
/linux/drivers/net/ethernet/apple/
H A Dbmac.h1 /* SPDX-License-Identifier: GPL-2.0-or-later */
3 * mace.h - definitions for the registers in the "Big Mac"
17 #define XIFC 0x000 /* low-level interface control */
19 # define XIFLoopback 0x0002 /* Loopback-mode XIF enable */
20 # define MIILoopback 0x0004 /* Loopback-mode MII enable */
48 #define STATUS 0x200 /* status--reading this clears it */
52 # define RxFrameCntExp 0x00000002 /* Receive frame counter expired */
53 # define RxAlignCntExp 0x00000004 /* Align-error counter expired */
54 # define RxCRCCntExp 0x00000008 /* CRC-error counter expired */
55 # define RxLenCntExp 0x00000010 /* Length-error counter expired */
[all …]
/linux/tools/testing/selftests/kvm/riscv/
H A Dsbi_pmu_test.c1 // SPDX-License-Identifier: GPL-2.0-only
3 * sbi_pmu_test.c - Tests the riscv64 SBI PMU functionality.
99 static void start_counter(unsigned long counter, unsigned long start_flags, in start_counter() argument
104 ret = sbi_ecall(SBI_EXT_PMU, SBI_EXT_PMU_COUNTER_START, counter, 1, start_flags, in start_counter()
106 __GUEST_ASSERT(ret.error == 0, "Unable to start counter %ld\n", counter); in start_counter()
110 stop_reset_counter(unsigned long counter,unsigned long stop_flags) stop_reset_counter() argument
120 stop_counter(unsigned long counter,unsigned long stop_flags) stop_counter() argument
278 unsigned long counter; test_pmu_event() local
326 unsigned long counter; test_pmu_event_snapshot() local
379 unsigned long counter; test_pmu_event_overflow() local
[all...]
/linux/drivers/net/ethernet/sun/
H A Dsunhme.h1 /* SPDX-License-Identifier: GPL-2.0 */
37 #define GREG_STAT_RCNTEXP 0x00000002 /* Receive frame counter expired */
38 #define GREG_STAT_ACNTEXP 0x00000004 /* Align-error counter expired */
39 #define GREG_STAT_CCNTEXP 0x00000008 /* CRC-error counter expired */
40 #define GREG_STAT_LCNTEXP 0x00000010 /* Length-error counter expired */
42 #define GREG_STAT_CVCNTEXP 0x00000040 /* Code-violation counter expired */
43 #define GREG_STAT_STSTERR 0x00000080 /* Test error in XIF for SQE */
46 #define GREG_STAT_MAXPKTERR 0x00000400 /* Max-packet size error */
47 #define GREG_STAT_NCNTEXP 0x00000800 /* Normal-collision counter expired */
48 #define GREG_STAT_ECNTEXP 0x00001000 /* Excess-collision counter expired */
[all …]
/linux/fs/xfs/scrub/
H A Dfscounters.c1 // SPDX-License-Identifier: GPL-2.0-or-later
3 * Copyright (C) 2019-2023 Oracle. All Rights Reserved.
32 * The basics of filesystem summary counter checking are that we iterate the
33 * AGs counting the number of free blocks, free space btree blocks, per-AG
35 * Then we compare what we computed against the in-core counters.
40 * freezing is costly. To get around this, we added a per-cpu counter of the
46 * walking all the AGs to make sure the incore per-AG structure has been
47 * initialized. The expected value calculation then iterates the incore per-AG
49 * after this operation and use the difference in counter values to guess at
50 * our tolerance for mismatch between expected and actual counter values.
[all …]
/linux/include/linux/
H A Dpm_runtime.h1 /* SPDX-License-Identifier: GPL-2.0-only */
3 * pm_runtime.h - Device run-time power management helper functions.
103 * pm_suspend_ignore_children - Set runtime PM behavior regarding children.
113 dev->power.ignore_children = enable; in pm_suspend_ignore_children()
117 * pm_runtime_get_noresume - Bump up runtime PM usage counter of a device.
122 atomic_inc(&dev->power.usage_count); in pm_runtime_get_noresume()
126 * pm_runtime_put_noidle - Drop runtime PM usage counter of a device.
129 * Decrement the runtime PM usage counter of @dev unless it is 0 already.
133 atomic_add_unless(&dev->power.usage_count, -1, 0); in pm_runtime_put_noidle()
137 * pm_runtime_suspended - Check whether or not a device is runtime-suspended.
[all …]
/linux/include/uapi/linux/can/
H A Derror.h1 /* SPDX-License-Identifier: ((GPL-2.0-only WITH Linux-syscall-note) OR BSD-3-Clause) */
3 * linux/can/error.h
5 * Definitions of the CAN error messages to be filtered and passed to the user.
8 * Copyright (c) 2002-2007 Volkswagen Group Electronic Research
48 #define CAN_ERR_DLC 8 /* dlc for error message frames */
50 /* error class (mask) in can_id */
58 #define CAN_ERR_BUSERROR 0x00000080U /* bus error (may flood!) */
60 #define CAN_ERR_CNT 0x00000200U /* TX error counter / data[6] */
61 /* RX error counter / data[7] */
67 /* error status of CAN-controller / data[1] */
[all …]
/linux/arch/mips/include/asm/sn/sn0/
H A Dhubpi.h8 * Copyright (C) 1992 - 1997, 1999 Silicon Graphics, Inc.
65 #define PI_NMI_OFFSET (PI_NMI_B - PI_NMI_A)
90 /* Realtime Counter and Profiler control registers */
92 #define PI_RT_COUNT 0x030100 /* Real Time Counter */
109 /* Built-In Self Test support */
122 #define PI_GFX_CREDIT_CNTR_A 0x000308 /* Graphics credit counter A */
124 #define PI_GFX_INT_CNTR_A 0x000318 /* Graphics interrupt counter A */
127 #define PI_GFX_CREDIT_CNTR_B 0x000330 /* Graphics credit counter B */
129 #define PI_GFX_INT_CNTR_B 0x000340 /* Graphics interrupt counter B */
132 #define PI_GFX_OFFSET (PI_GFX_PAGE_B - PI_GFX_PAGE_A)
[all …]
/linux/lib/
H A Derrseq.c1 // SPDX-License-Identifier: GPL-2.0
13 * It's implemented as an unsigned 32-bit value. The low order bits are
14 * designated to hold an error code (between 0 and -MAX_ERRNO). The upper bits
15 * are used as a counter. This is done with atomics instead of locking so that
23 * frequently, since we have so few bits to use as a counter.
27 * the counter if no one has sampled it since the last time an error was
31 * is the special (but common) case where there has never been an error. An all
33 * has ever been an error set since it was first initialized.
36 /* The low bits are designated for error code (max of MAX_ERRNO) */
43 #define ERRNO_MASK (ERRSEQ_SEEN - 1)
[all …]
/linux/scripts/
H A Dgenerate_initcall_order.pl2 # SPDX-License-Identifier: GPL-2.0
14 my $nm = $ENV{'NM'} || die "$0: ERROR: NM not set?";
18 my $jobs = {}; # child process pid -> file handle
20 my $results = {}; # object index -> [ { level, secname }, ... ]
26 or die "$0: ERROR: failed to execute getconf: $!";
42 # sort by the counter value to ensure the order of initcalls within
44 foreach my $counter (sort { $a <=> $b } keys(%{$initcalls})) {
45 my $level = $initcalls->{$counter}->{'level'};
48 my $secname = $initcalls->{$counter}->{'module'} . '__' .
49 $counter . '_' .
[all …]
/linux/drivers/net/fddi/skfp/h/
H A Dcmtdef.h1 /* SPDX-License-Identifier: GPL-2.0-or-later */
61 #define DB_TEST (smc->debug)
117 #define PM 2 /* PM .. PA+NUM_PHYS-1 */
120 * PHY types - as in path descriptor 'fddiPHYType'
175 * if more than two ports are used, EVENT_PCM .. EVENT_PCMA+NUM_PHYS-1
230 #define LS2MIB(x) ((x)-PC_QLS)
255 #define RM_DUP_ADDR 10 /* dup_addr_test hange SMT-NIF */
279 * MIB PC-WithholdType ENUM
367 * oops: MUST MATCH CF-StateType in SMT7.2 !
408 u_long mac_nobuf_counter ; /* MAC SW counter: no buffer */
[all …]
/linux/drivers/perf/
H A Driscv_pmu_sbi.c1 // SPDX-License-Identifier: GPL-2.0
3 * RISC-V performance counter support.
11 #define pr_fmt(fmt) "riscv-pmu-sbi: " fmt
61 PMU_FORMAT_ATTR(event, "config:0-55");
62 PMU_FORMAT_ATTR(firmware, "config:62-63");
90 * RISC-V doesn't have heterogeneous harts yet. This need to be part of
313 return -ENOMEM; in pmu_sbi_check_event_info()
333 if (ret.error) { in pmu_sbi_check_event_info()
334 result = -EOPNOTSUPP; in pmu_sbi_check_event_info()
340 pmu_hw_event_map[i].event_idx = -ENOENT; in pmu_sbi_check_event_info()
[all …]
/linux/drivers/net/ethernet/freescale/enetc/
H A Denetc4_hw.h1 /* SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause) */
150 #define PCR_PSPEED_VAL(s) FIELD_PREP(PCR_PSPEED, ((s) / 10 - 1))
168 /* Port Rx discard count read-reset register */
231 /* Port MAC 0/1 Receive Ethernet Octets Counter */
234 /* Port MAC 0/1 Receive Octets Counter */
237 /* Port MAC 0/1 Receive Alignment Error Counter Register */
240 /* Port MAC 0/1 Receive Valid Pause Frame Counter */
243 /* Port MAC 0/1 Receive Frame Counter */
246 /* Port MAC 0/1 Receive Frame Check Sequence Error Counter */
249 /* Port MAC 0/1 Receive VLAN Frame Counter */
[all …]
/linux/Documentation/ABI/testing/
H A Dsysfs-bus-event_source-devices-hv_gpci3 Contact: Linux on PowerPC Developer List <linuxppc-dev@lists.ozlabs.org>
4 Description: Read-only. Attribute group to describe the magic bits
6 (See ABI/testing/sysfs-bus-event_source-devices-format).
12 counter_info_version = "config:16-23"
13 length = "config:24-31"
14 partition_id = "config:32-63"
15 request = "config:0-31"
16 sibling_part_id = "config:32-63"
17 hw_chip_id = "config:32-63"
18 offset = "config:32-63"
[all …]
/linux/drivers/clocksource/
H A Dtimer-ti-32k.c1 // SPDX-License-Identifier: GPL-2.0-only
3 * timer-ti-32k.c - OMAP2 32k Timer Support
15 * OMAP Dual-mode timer framework support by Timo Teras
19 * Copyright (C) 2004-2009 Texas Instruments, Inc.
22 * Added OMAP4 support - Santosh Shilimkar <santosh.shilimkar@ti.com>
24 * Copyright (C) 2015 Texas Instruments Incorporated - https://www.ti.com
38 * higher resolution in free-running counter modes (e.g. 12 MHz xtal),
49 void __iomem *counter; member
62 return (u64)readl_relaxed(ti->counter); in ti_32k_read_cycles()
84 int error; in ti_32k_timer_enable_clock() local
[all …]
/linux/tools/testing/selftests/sync/
H A Dsync_stress_consumer.c3 * Copyright 2015-2016 Collabora Ltd.
39 /* Returns 1 on error, 0 on success */
42 int error, active; in busy_wait_on_fence() local
45 error = sync_fence_count_with_status(fence, FENCE_STATUS_ERROR); in busy_wait_on_fence()
46 ASSERT(error == 0, "Error occurred on fence\n"); in busy_wait_on_fence()
57 int counter; member
82 ASSERT(sync_wait(fence, -1) > 0, in mpsc_producer_thread()
90 * Every producer increments the counter, the consumer in mpsc_producer_thread()
94 test_data_mpsc.counter++; in mpsc_producer_thread()
98 "Error advancing producer timeline\n"); in mpsc_producer_thread()
[all …]
/linux/drivers/net/ethernet/amd/
H A Dariadne.h4 * © Copyright 1995 by Geert Uytterhoeven (geert@linux-m68k.org)
8 * ----------------------------------------------------------------------------------
13 * Written 1993-94 by Donald Becker.
15 * Am79C960: PCnet(tm)-ISA Single-Chip Ethernet Controller
22 * ----------------------------------------------------------------------------------
28 * ----------------------------------------------------------------------------------
30 * The Ariadne is a Zorro-II board made by Village Tronic. It contains:
32 * - an Am79C960 PCnet-ISA Single-Chip Ethernet Controller with both
33 * 10BASE-2 (thin coax) and 10BASE-T (UTP) connectors
35 * - an MC68230 Parallel Interface/Timer configured as 2 parallel ports
[all …]
/linux/include/drm/
H A Ddrm_ras.h1 /* SPDX-License-Identifier: MIT */
14 * struct drm_ras_node - A DRM RAS Node
20 * @device_name: Human-readable name of the device. Given by the driver.
23 /** @node_name: Human-readable name of the node. Given by the driver. */
28 /* Error-Counter Related Callback and Variables */
30 /** @error_counter_range: Range of valid Error IDs for this node. */
32 /** @first: First valid Error ID. */
34 /** @last: Last valid Error ID. Mandatory entry. */
41 * This callback is used by drm-ras to query a specific error counter.
42 * Used for input check and to iterate all error counters in a node.
[all …]
/linux/drivers/rtc/
H A Drtc-imxdi.c1 // SPDX-License-Identifier: GPL-2.0+
3 * Copyright 2008-2009 Freescale Semiconductor, Inc. All Rights Reserved.
8 * This driver uses the 47-bit 32 kHz counter in the Freescale DryIce block
10 * Since the RTC framework performs API locking via rtc->ops_lock the
36 #define DTCMR 0x00 /* Time Counter MSB Reg */
37 #define DTCLR 0x04 /* Time Counter LSB Reg */
41 #define DCAMR_UNSET 0xFFFFFFFF /* doomsday - 1 sec */
44 #define DCR_TDCHL (1 << 30) /* Tamper-detect configuration hard lock */
45 #define DCR_TDCSL (1 << 29) /* Tamper-detect configuration soft lock */
46 #define DCR_KSSL (1 << 27) /* Key-select soft lock */
[all …]
/linux/drivers/net/ethernet/freescale/
H A Ducc_geth.h1 /* SPDX-License-Identifier: GPL-2.0-or-later */
3 * Copyright (C) Freescale Semicondutor, Inc. 2006-2009. All rights reserved.
12 * - Rearrange code and style fixes
41 u8 res0[0x100 - sizeof(struct ucc_fast)];
46 u32 hafdup; /* half-duplex reg. */
57 u8 res3[0x180 - 0x15A];
105 u8 res5[0x200 - 0x1c4];
119 #define TEMODER_NUM_OF_QUEUES_SHIFT (15-15) /* Number of queues <<
128 #define REMODER_VLAN_OPERATION_TAGGED_SHIFT (31-9 ) /* vlan operation
130 #define REMODER_VLAN_OPERATION_NON_TAGGED_SHIFT (31-10) /* vlan operation non
[all …]
/linux/drivers/net/ethernet/marvell/
H A Dskge.h1 /* SPDX-License-Identifier: GPL-2.0 */
133 CS_CLK_RUN_HOT = 1<<13,/* CLK_RUN hot m. (YUKON-Lite only) */
134 CS_CLK_RUN_RST = 1<<12,/* CLK_RUN reset (YUKON-Lite only) */
135 CS_CLK_RUN_ENA = 1<<11,/* CLK_RUN enable (YUKON-Lite only) */
167 IS_HW_ERR = 1<<31, /* Interrupt HW Error */
185 IS_R1_C = 1<<15, /* Q_R1 Encoding Error */
189 IS_R2_C = 1<<12, /* Q_R2 Encoding Error */
193 IS_XS1_C = 1<<9, /* Q_XS1 Encoding Error */
197 IS_XA1_C = 1<<6, /* Q_XA1 Encoding Error */
201 IS_XS2_C = 1<<3, /* Q_XS2 Encoding Error */
[all …]
/linux/tools/testing/selftests/filesystems/eventfd/
H A Deventfd_test.c1 // SPDX-License-Identifier: GPL-2.0
18 struct error { struct
23 static int error_set(struct error *err, int code, const char *fmt, ...) in error_set() argument
28 if (code == 0 || !err || err->code != 0) in error_set()
31 err->code = code; in error_set()
33 r = vsnprintf(err->msg, sizeof(err->msg), fmt, args); in error_set()
34 assert((size_t)r < sizeof(err->msg)); in error_set()
67 ASSERT_GT(flags, -1); in TEST()
81 ASSERT_GT(flags, -1); in TEST()
96 ASSERT_GT(flags, -1); in TEST()
[all …]
/linux/Documentation/userspace-api/media/cec/
H A Dcec-ioc-receive.rst1 .. SPDX-License-Identifier: GFDL-1.1-no-invariants-or-later
14 CEC_RECEIVE, CEC_TRANSMIT - Receive or transmit a CEC message
42 If the file descriptor is in non-blocking mode and there are no received
43 messages pending, then it will return -1 and set errno to the ``EAGAIN``
44 error code. If the file descriptor is in blocking mode and ``timeout``
45 is non-zero and no message arrived within ``timeout`` milliseconds, then
46 it will return -1 and set errno to the ``ETIMEDOUT`` error code.
51 be 0, ``tx_status`` will be 0 and ``rx_status`` will be non-zero).
52 2. the transmit result of an earlier non-blocking transmit (the ``sequence``
53 field will be non-zero, ``tx_status`` will be non-zero and ``rx_status``
[all …]

12345678910>>...41